Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.publicinterface
Interface DescriptorEventListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DescriptorEventAdapter

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `DescriptorEventListener`

public interface DescriptorEventListener
extends java.util.EventListener

Purpose: Used to support Java event listener event model on descriptors. Events can be registered for through two methods, the first is by providing a method to be called on the object that a paticualr operation is being performed on. The second is by registering a manager object to be notified when any event occurs for that descriptor. The second method is more similar to the java beans event model but requires the registered object to implement the DescriptorEventListener interface.

See Also:
  `DescriptorEventManager`, `DescriptorEvent`

Method Summary
`void` | `aboutToDelete(DescriptorEvent event)` Deprecated.
`void` | `aboutToInsert(DescriptorEvent event)` Deprecated.
`void` | `aboutToUpdate(DescriptorEvent event)` Deprecated.
`void` | `postBuild(DescriptorEvent event)` Deprecated.
`void` | `postClone(DescriptorEvent event)` Deprecated.
`void` | `postDelete(DescriptorEvent event)` Deprecated.
`void` | `postInsert(DescriptorEvent event)` Deprecated.
`void` | `postMerge(DescriptorEvent event)` Deprecated.
`void` | `postRefresh(DescriptorEvent event)` Deprecated.
`void` | `postUpdate(DescriptorEvent event)` Deprecated.
`void` | `postWrite(DescriptorEvent event)` Deprecated.
`void` | `preDelete(DescriptorEvent event)` Deprecated.
`void` | `preInsert(DescriptorEvent event)` Deprecated.
`void` | `preUpdate(DescriptorEvent event)` Deprecated.
`void` | `preWrite(DescriptorEvent event)` Deprecated.

Method Detail

### aboutToInsert

    public void aboutToInsert(DescriptorEvent event)

  Deprecated.

### aboutToUpdate

    public void aboutToUpdate(DescriptorEvent event)

  Deprecated.

### aboutToDelete

    public void aboutToDelete(DescriptorEvent event)

  Deprecated.

### postBuild

    public void postBuild(DescriptorEvent event)

  Deprecated.

### postClone

    public void postClone(DescriptorEvent event)

  Deprecated.

### postDelete

    public void postDelete(DescriptorEvent event)

  Deprecated.

### postInsert

    public void postInsert(DescriptorEvent event)

  Deprecated.

### postMerge

    public void postMerge(DescriptorEvent event)

  Deprecated.

### postRefresh

    public void postRefresh(DescriptorEvent event)

  Deprecated.

### postUpdate

    public void postUpdate(DescriptorEvent event)

  Deprecated.

### postWrite

    public void postWrite(DescriptorEvent event)

  Deprecated.

### preDelete

    public void preDelete(DescriptorEvent event)

  Deprecated.

### preInsert

    public void preInsert(DescriptorEvent event)

  Deprecated.

### preUpdate

    public void preUpdate(DescriptorEvent event)

  Deprecated.

### preWrite

    public void preWrite(DescriptorEvent event)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD